﻿Imports System
Imports System.Collections

Namespace ServerSIP

    Class cVaxSettingDefault

        '/////////////////////////////////////////////////////////////////////////////////
        '/////////////////////////////////////////////////////////////////////////////////

        Public Shared Function LoadUserDefault() As Boolean

            If cStoreUser.IsDataStored() Then
                Return False
            End If

            For nCount As Integer = 4000 To 4050
                cVaxUser.AddUser(nCount.ToString(), nCount.ToString(), "32014", False, cVaxServerCOM.VAX_AUDIO_TYPE_NORMAL, "", "", "")
            Next

            For nCount As Integer = 6000 To 6020
                cVaxUser.AddUser(nCount.ToString(), nCount.ToString(), "32014", False, cVaxServerCOM.VAX_AUDIO_TYPE_USER, "", "", "")
            Next

            For nCount As Integer = 8000 To 8020
                cVaxUser.AddUser(nCount.ToString(), nCount.ToString(), "32014", False, cVaxServerCOM.VAX_AUDIO_TYPE_ADMIN, "", "", "")
            Next

            Return True

        End Function

        '/////////////////////////////////////////////////////////////////////////////////
        '/////////////////////////////////////////////////////////////////////////////////

        Public Shared Function LoadLineDefault() As Boolean

            If cStoreLine.IsDataStored() Then
                Return False
            End If

            cVaxLine.AddLine("LineServiceProviderTech", cVaxServerCOM.VAX_LINE_TYPE_UDP, "9090", "9090", "192.168.0.119", 5060, "32", False, "", False, "")
            cVaxLine.AddLine("LineServiceProviderDesign", cVaxServerCOM.VAX_LINE_TYPE_UDP, "9092", "9092", "192.168.0.119", 5060, "32", False, "", False, "")

            Return True

        End Function

        '/////////////////////////////////////////////////////////////////////////////////
        '/////////////////////////////////////////////////////////////////////////////////

        Public Shared Function LoadRoomDefault() As Boolean

            If cStoreRoom.IsDataStored() Then
                Return False
            End If

            cVaxRoom.AddRoom("RoomTech", "20021")
            cVaxRoom.AddRoom("RoomDesign", "20022")

            Return True

        End Function

        '/////////////////////////////////////////////////////////////////////////////////
        '/////////////////////////////////////////////////////////////////////////////////

    End Class

End Namespace
